Subject: Re: [PATCH v12 03/13] ref-filter: introduce the ref_formatting_state stack machinery

From: Matthieu Moy <[email-masked]>
Date: Thu, 20 Aug 2015 19:19:35 +0200

Junio C Hamano <[email-masked]> writes:

> So I think 'quote' should apply only to the top-level atoms in the
> nested %(magic)...%(end) world.

This is true in most cases, but I think there would also be use-cases
where you would want the opposite, like:

--format '
    %(if:whatever)
    echo %(refname)
    %(end)
'

I'm not sure what's best, but if both can make sense, perhaps we should
just keep the simplest to implement, i.e. the current behavior.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/